curl --request GET \
--url https://app.tagadapay.com/api/public/v1/customers/{customerId}/payment-instruments \
--header 'Authorization: Bearer <token>'{
"instruments": [
{
"id": "pi_123",
"type": "card",
"isActive": true,
"isDefault": true,
"createdAt": "2024-03-20T10:30:00Z",
"card": {
"last4": "1234",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
},
"cardEnrichment": {
"funding": "credit",
"segment": "premium"
}
}
]
}Get all active payment instruments for a customer
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/customers/{customerId}/payment-instruments \
--header 'Authorization: Bearer <token>'{
"instruments": [
{
"id": "pi_123",
"type": "card",
"isActive": true,
"isDefault": true,
"createdAt": "2024-03-20T10:30:00Z",
"card": {
"last4": "1234",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
},
"cardEnrichment": {
"funding": "credit",
"segment": "premium"
}
}
]
}